%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%
%% Dns & resolver defintions
%%

-define(RES_TIMEOUT, 2000).      %% milli second between retries 
-define(RES_RETRY,   3).         %% number of retry

-define(CACHE_LIMIT, 100).          %% number of cached dns_rr
-define(CACHE_REFRESH, 60*60*1000). %% refresh interval

-define(PACKETSZ,  512).         %% maximum packet size
-define(MAXDNAME,  256).         %% maximum domain name
-define(MAXCDNAME, 255).         %% maximum compressed domain name
-define(MAXLABEL,  63).		 %% maximum length of domain label
%%  Number of bytes of fixed size data in query structure 
-define(QFIXEDSZ,  4).
%% number of bytes of fixed size data in resource record 
-define(RRFIXEDSZ, 10).

%%
%% Internet nameserver port number
%%
-define(NAMESERVER_PORT, 53).
